package com.yidianling.dynamic.topic.topicDetail;


import com.ydl.ydlcommon.mvp.base.IPresenter;
import com.yidianling.dynamic.model.Focus;
import com.yidianling.dynamic.model.TopicDetailBean;

/**
 * Created by Jim on 2017/12/28 0028.
 */

public interface ITopicDetailPresenter extends IPresenter<TopicDetailView> {

    interface ITopicDetailInteracor{
        void onTopicDetailDataFetched(TopicDetailBean topicDetail);
        void onTopicDetailDataFetchFailed(Throwable throwable);

        void onFocusResultFetched(Focus resp);
        void onFocusFailed(Throwable throwable);
    }

    void getTopicDetail(String topicId);
}
